Subject: Re: bug#17839: 24.4.50; read-passwd echoes password input in non-interactive sessions

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 Aug 2014 19:38:46 +0300

> From: Sebastian Wiesner <[email-masked]>
> Date: Thu, 7 Aug 2014 18:08:28 +0200
> Cc: Stefan Monnier <[email-masked]>,
>  Michael Albinus <[email-masked]>,
>  Andreas Schwab <[email-masked]>,
>  [email-masked]
> 
> >> If I understand correctly, Windows support is the main issue
> > 
> > ??? No, it isn't.  Once Michael added the code to do this on Posix
> > platforms, the Windows code was added to follow suit.
> 
> I’m sorry.  I did not follow the entire discussion, since I couldn’t comment on the implementation anyway.  All that I read was that there was some Windows-specific discussion, and from Stefan’s comment I presumed that Windows was still an issue.

The Windows-specific discussion was because implementing the same
feature on Windows had some subtle issues.

> But if it isn’t, I don’t see why this patch shouldn’t be “safe” for Emacs 24?

I guess because the code changes are not entirely trivial.